apt upgrade breaks forma

Install and configure FormaLMS and DoceboCE
Post Reply
fg123
Newbie
Posts: 7
Joined: Fri Jan 10, 2020 11:23 am

apt upgrade breaks forma

Post by fg123 »

hi there,
I'm running forma 2.4.1 on ubuntu18.04lts.

When I run apt upgrade today it breaks forma LMS. After the upgrade runs through the forma.lms installer is activated.

"Step 1: Select language"...


As a sidenote, I am running PHP7.0 as requested by forma with FPM so I can run phpmyadmin on the same server with php 7.4.


Below is the list of patches my system is running.

Any idea what might be breaking forma?

Thanks
Frank




libapache2-mod-php7.0/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
libgd3/bionic 2.3.0-2+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 2.3.0-1+ubuntu18.04.1+deb.sury.org+2]
libjson-c3/bionic-security,bionic-updates 0.12.1-1.3ubuntu0.2 amd64 [upgradable from: 0.12.1-1.3ubuntu0.1]
libnss-systemd/bionic-updates 237-3ubuntu10.40 amd64 [upgradable from: 237-3ubuntu10.39]
libpam-systemd/bionic-updates 237-3ubuntu10.40 amd64 [upgradable from: 237-3ubuntu10.39]
libsystemd0/bionic-updates 237-3ubuntu10.40 amd64 [upgradable from: 237-3ubuntu10.39]
libudev1/bionic-updates 237-3ubuntu10.40 amd64 [upgradable from: 237-3ubuntu10.39]
libxml2/bionic 2.9.10+dfsg-5+ubuntu18.04.1+deb.sury.org+3 amd64 [upgradable from: 2.9.10+dfsg-2+ubuntu18.04.1+deb.sury.org+1]
netplan.io/bionic-updates 0.99-0ubuntu3~18.04.1 amd64 [upgradable from: 0.98-0ubuntu1~18.04.1]
nplan/bionic-updates 0.99-0ubuntu3~18.04.1 all [upgradable from: 0.98-0ubuntu1~18.04.1]
open-iscsi/bionic-updates 2.0.874-5ubuntu2.9 amd64 [upgradable from: 2.0.874-5ubuntu2.7]
php-common/bionic 2:76+ubuntu18.04.1+deb.sury.org+9 all [upgradable from: 2:75+ubuntu18.04.1+deb.sury.org+1]
php-mbstring/bionic 2:7.4+76+ubuntu18.04.1+deb.sury.org+9 all [upgradable from: 2:7.4+75+ubuntu18.04.1+deb.sury.org+1]
php-mysql/bionic 2:7.4+76+ubuntu18.04.1+deb.sury.org+9 all [upgradable from: 2:7.4+75+ubuntu18.04.1+deb.sury.org+1]
php-zip/bionic 2:7.4+76+ubuntu18.04.1+deb.sury.org+9 all [upgradable from: 2:7.4+75+ubuntu18.04.1+deb.sury.org+1]
php7.0/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 all [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-bcmath/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-cli/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-common/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-curl/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-fpm/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-gd/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-gmp/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-intl/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-json/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-ldap/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-mbstring/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-mysql/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-opcache/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-readline/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-xml/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-xmlrpc/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.0-zip/bionic 7.0.33-29+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.0.33-27+ubuntu18.04.1+deb.sury.org+1]
php7.4-cli/bionic 7.4.6-1+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.4.5-1+ubuntu18.04.1+deb.sury.org+1]
php7.4-common/bionic 7.4.6-1+ubuntu18.04.1+deb.sury.org+1 amd64 [upgradable from: 7.4.5-1+ubuntu18.04.1+deb.sury.org+1]
shut

alfa24
Senior Boarder
Posts: 1005
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: apt upgrade breaks forma

Post by alfa24 »

Is config.php well configured and at its place?
When an existing and working installation suddenly search for install path, it means config.php doesn't exist or is not working as it should.
I can't believe that an upgrade task has broken your installation and maybe something else has happened before or after the upgrade, but let's do this first check.
I'm Jasmines, the One. If you need, you can contact me.

fg123
Newbie
Posts: 7
Joined: Fri Jan 10, 2020 11:23 am

Re: apt upgrade breaks forma

Post by fg123 »

hi alfa24, thank you for pointing me away from the upgrade. After replacing the image file of the server I found that indeed after a reboot the forma login page is also replaced by the installer.

Well, looking at the services I see that mysql isn't running anymore after a reboot. A restart of mariadb makes forma lms running again.

Ideally, there would be an error message. Anyway, I have to find out why my mysql doesn't work properly.

Regards!

alfa24
Senior Boarder
Posts: 1005
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: apt upgrade breaks forma

Post by alfa24 »

If you upgrade mysql 5.x to mariadb 8, many things can broke your system, and you have to fix them manually.
Normally, if the connection with the db cannot be established, the index page of an installed instance should offer an error message instead of pointing to the install directory, and this, yes, could be a bug.
I'm Jasmines, the One. If you need, you can contact me.

Post Reply